/* LICENSE BLOCK
Part of mde: a Modular D game-oriented Engine
Copyright © 2007-2008 Diggory Hardy

This program is free software: you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation, either
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

/// Contains resource exceptions
module mde.resource.exception;
import mde.exception;

/// Thrown when initialisation fails
class fontException : mdeException {
    char[] getSymbol () {
        return super.getSymbol ~ ".resource.font";
    }
    
    this (char[] msg) {
        super(msg);
    }
}

/// Thrown when loading a freetype font fails.
class fontLoadException : fontException {
    this (char[] msg) {
        super(msg);
    }
}

/// Thrown when problems occur with glyphs (rendering, etc.)
class fontGlyphException : fontException {
    char[] getSymbol () {
        return super.getSymbol ~ ".glyph";
    }
    
    this (char[] msg) {
        super(msg);
    }
}
